package com.huyi.task.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 融资产品所需合同关联表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("zc_finance_pro_con_rel")
public class ZcFinanceProConRel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 融资产品(zc_finance_product.zfp_id)
     */
    @TableId("zfpcr_product_id")
    private String zfpcrProductId;

    /**
     * 合同(zc_finance_contract.zfc_id)
     */
    @TableField("zfpcr_contract_id")
    private String zfpcrContractId;


}
