package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.SysUserCompanyRel;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: ISysUserCompanyRelService<br>
 * Description: SysUserCompanyRelService接口 <br>
 * Company: keao
 *
 * @author cuixq
 * @version v1.0.0    2021-09-01  cuixq    由Generator自动创建
 */
public interface ISysUserCompanyRelService extends IService<SysUserCompanyRel> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<SysUserCompanyRel>
     * @return IPage<SysUserCompanyRel>
     */
    IPage<SysUserCompanyRel> findSysUserCompanyRels(QueryRequest request, LambdaQueryWrapper<SysUserCompanyRel> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<SysUserCompanyRel>
     * @return List<SysUserCompanyRel>
     */
    List<SysUserCompanyRel> findSysUserCompanyRels(LambdaQueryWrapper<SysUserCompanyRel> wrapper);

    /**
     * 新增
     *
     * @param sysUserCompanyRel sysUserCompanyRel
     */
    void createSysUserCompanyRel(SysUserCompanyRel sysUserCompanyRel);

    /**
     * 修改
     *
     * @param sysUserCompanyRel sysUserCompanyRel
     */
    void updateSysUserCompanyRel(SysUserCompanyRel sysUserCompanyRel);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<SysUserCompanyRel>
     */
    void deleteSysUserCompanyRel(LambdaQueryWrapper<SysUserCompanyRel> wrapper);
}
