package com.huyi.task.taskMan.service;


import java.util.List;
import java.util.Map;

/**
 * 还款Service接口
 * 
 * @author ch
 * @date 2021-09-06
 */
public interface FinanceTimedTaskService
{
    /**
     * 查询融信列表符合消息提醒数据
     * @param map
	 
     * @return
     */
    public List<Map> selectFinanceInfList(Map map);

    /**
     * 查询融信列表是否已失效数据
     * @param map
     * @return
     */
    public List<Map> selectFinanceInfDetail(Map map);

    /**
     * 查询未还款融资纪录
     * @param map
     * @return
     */
    public List<Map> selectFinanceInfRecord(Map map);


}
