package com.huyi.task;

import com.tianhu.common.security.annotation.EnableCustomConfig;
import com.tianhu.common.security.annotation.EnableRyFeignClients;
import com.tianhu.common.swagger.annotation.EnableCustomSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.SpringCloudApplication;

/**
 * 定时模块
 * 
 * @author tianhu
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringCloudApplication
@SpringBootApplication
@MapperScan("com.huyi.task.*.mapper")
public class TaskManApplication
{
    public static void main(String[] args)
    {
        SpringApplication.run(TaskManApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  定时任务模块启动成功   ლ(´ڡ`ლ)ﾞ  \n" );
    }
}
