package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.SysCompanyRel;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: ISysCompanyRelService<br>
 * Description: SysCompanyRelService接口 <br>
 * Company: keao
 *
 * @author songqg
 * @version v1.0.0    2021-08-17  songqg    由Generator自动创建
 */
public interface ISysCompanyRelService extends IService<SysCompanyRel> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<SysCompanyRel>
     * @return IPage<SysCompanyRel>
     */
    IPage<SysCompanyRel> findSysCompanyRels(QueryRequest request, LambdaQueryWrapper<SysCompanyRel> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<SysCompanyRel>
     * @return List<SysCompanyRel>
     */
    List<SysCompanyRel> findSysCompanyRels(LambdaQueryWrapper<SysCompanyRel> wrapper);

    /**
     * 新增
     *
     * @param sysCompanyRel sysCompanyRel
     */
    void createSysCompanyRel(SysCompanyRel sysCompanyRel);

    /**
     * 修改
     *
     * @param sysCompanyRel sysCompanyRel
     */
    void updateSysCompanyRel(SysCompanyRel sysCompanyRel);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<SysCompanyRel>
     */
    void deleteSysCompanyRel(LambdaQueryWrapper<SysCompanyRel> wrapper);
}
