package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.SysCompanySpare;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: ISysCompanySpareService<br>
 * Description: SysCompanySpareService接口 <br>
 * Company: keao
 *
 * @author songqg
 * @version v1.0.0    2021-08-17  songqg    由Generator自动创建
 */
public interface ISysCompanySpareService extends IService<SysCompanySpare> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<SysCompanySpare>
     * @return IPage<SysCompanySpare>
     */
    IPage<SysCompanySpare> findSysCompanySpares(QueryRequest request, LambdaQueryWrapper<SysCompanySpare> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<SysCompanySpare>
     * @return List<SysCompanySpare>
     */
    List<SysCompanySpare> findSysCompanySpares(LambdaQueryWrapper<SysCompanySpare> wrapper);

    /**
     * 新增
     *
     * @param sysCompanySpare sysCompanySpare
     */
    void createSysCompanySpare(SysCompanySpare sysCompanySpare);

    /**
     * 修改
     *
     * @param sysCompanySpare sysCompanySpare
     */
    void updateSysCompanySpare(SysCompanySpare sysCompanySpare);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<SysCompanySpare>
     */
    void deleteSysCompanySpare(LambdaQueryWrapper<SysCompanySpare> wrapper);
}
