package com.huyi.task.taskMan.service.impl;

import com.huyi.task.taskMan.mapper.OwnTaskManMapper;
import com.huyi.task.taskMan.service.IOwnTaskManService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 还款Service业务层处理
 * 
 * @author ch
 * @date 2021-09-06
 */
@Service
public class OwnTaskManServiceImpl implements IOwnTaskManService
{
    @Autowired
    private OwnTaskManMapper ownTaskManMapper;

    /**
     * 查询还款列表
     * @param map
     * @return
     */
    @Override
    public List<Map> selectRepaymentList(Map map){
        return ownTaskManMapper.selectRepaymentList(map);
    }


}
